Bug 33689 - lp tools will not work due to undefined symbols.
lp tools will not work due to undefined symbols.
Status: CLOSED DUPLICATE of bug 33580
Product: Red Hat Linux
Classification: Retired
Component: lpr (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Crutcher Dunnavant
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-28 16:48 EST by James Brents
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-28 16:49:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Brents 2001-03-28 16:48:59 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux 2.4.2 i686; en-US; 0.9) Gecko/20010228


Running any of the lp tools (lpr, lpq, lprm, etc) results in:
lpr: error while loading shared libraries: lpr: undefined symbol: stat
This started occuring after all my systems upgraded to the newer kerberos
and openssh packages as in the errata. 

Reproducible: Always
Steps to Reproduce:
run any lp application (lpr, lpq, lprm)

Actual Results:  lpr: error while loading shared libraries: lpr: undefined
symbol: stat


Expected Results:  to print, show the print queue, anything but that.

Dont know for sure if its related, kerberos packages installed:
krb5-libs-1.2.2-3
krb5-devel-1.2.2-3
OpenSSH packages:
openssh-2.5.2p2-1.7
openssh-server-2.5.2p2-1.7
openssh-askpass-2.5.2p2-1.7
openssh-clients-2.5.2p2-1.7
openssh-askpass-gnome-2.5.2p2-1.7
Comment 1 Jeremy Katz 2001-03-28 18:57:28 EST

*** This bug has been marked as a duplicate of 33580 ***

Note You need to log in before you can comment on or make changes to this bug.